package cn.kk.spring_simple_operation.service;

import cn.kk.spring_simple_operation.entity.PhotoProgress;
import cn.kk.spring_simple_operation.model.dto.SkuSiteDTO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 图片协同系统 服务类
 * </p>
 *
 * @author guokunkun
 * @since 2024-12-25
 */
public interface PhotoProgressService extends IService<PhotoProgress> {

	void setUploadStatusIsDeleted(List<SkuSiteDTO> list);

	void getVideoSkuArea();

	void brushSimpleVideoData();

	void brushSimpleVideoDataPeople(List<SkuSiteDTO> list);

	void brushSimpleVideoDataStatus(List<SkuSiteDTO> list);

	void updatePhotoProgressPhotographer(List<SkuSiteDTO> list);

	void updatePhotoProgressSimplePhotographer(List<SkuSiteDTO> list);
}
